REM $Id: ora_objects.sql,v 1.1 2004/10/24 20:51:55 jonz Exp $

CREATE TABLE DSPAM_TOKEN_DATA (
  USER_ID NUMBER(5),
  TOKEN NUMBER,
  SPAM_HITS NUMBER,
  INNOCENT_HITS NUMBER,
  LAST_HIT DATE
)
/

CREATE UNIQUE INDEX ID_TOKEN_DATA_01 ON DSPAM_TOKEN_DATA(USER_ID,TOKEN);
CREATE INDEX ID_TOKEN_DATA_02 ON DSPAM_TOKEN_DATA(INNOCENT_HITS);
CREATE INDEX ID_TOKEN_DATA_03 ON DSPAM_TOKEN_DATA(SPAM_HITS);

CREATE TABLE DSPAM_SIGNATURE_DATA (
  USER_ID NUMBER(5),
  SIGNATURE VARCHAR2(128),
  DATA LONG,
  LENGTH NUMBER,
  CREATED_ON DATE
)
/

CREATE UNIQUE INDEX ID_SIGNATURE_DATA_01 ON 
  DSPAM_SIGNATURE_DATA(USER_ID,SIGNATURE);

CREATE TABLE DSPAM_STATS (
  USER_ID NUMBER(5) PRIMARY KEY,
  TOTAL_SPAM NUMBER,
  TOTAL_INNOCENT NUMBER,
  SPAM_MISSES NUMBER,
  FALSE_POSITIVES NUMBER,
  SPAM_CORPUSFED NUMBER,
  INNOCENT_CORPUSFED NUMBER,
  SPAM_CLASSIFIED NUMBER,
  INNOCENT_CLASSIFIED NUMBER
)
/

CREATE TABLE DSPAM_NEURAL_DATA (
  USER_ID NUMBER(5),
  NODE NUMBER(5), 
  TOTAL_CORRECT NUMBER,
  TOTAL_INCORRECT NUMBER
)
/

CREATE INDEX ID_NEURAL_DATA_01 ON
  DSPAM_NEURAL_DATA(USER_ID);

CREATE INDEX ID_NEURAL_DATA_02 ON
  DSPAM_NEURAL_DATA(USER_ID,NODE);

